Skip to main content
POST
/
v1
/
prior-auth
/
authorizations
/
{authorizationId}
/
attachments
Add an attachment
curl --request POST \
  --url https://api.sandbox.trycollate.ai/v1/prior-auth/authorizations/{authorizationId}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileId": "file_123",
  "label": "Recent clinical note"
}
'
{
  "id": "att_123",
  "authorizationId": "auth_123",
  "fileId": "file_123",
  "label": "Recent clinical note",
  "mimeType": "application/pdf",
  "sizeBytes": 48213,
  "downloadUrl": "https://cdn.example.com/files/authorization_attachment/file_123/clinical-note.pdf",
  "createdAt": "2026-03-13T17:12:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer token for WorkOS session JWTs and organization API keys.

Path Parameters

authorizationId
string
required
Example:

"auth_123"

Body

application/json
fileId
string
required
Example:

"file_123"

label
string
required
Example:

"Recent lipid panel"

metadata
object

Response

Created attachment.

id
string
required
authorizationId
string
required
fileId
string
required
label
string
required
mimeType
string
required
sizeBytes
integer | null
required
downloadUrl
string<uri>
required
createdAt
string<date-time>
required
metadata
object